part of './flutter_compute_tree.dart';

class UnitKey<T, K> {
  final K _value;
  final int _index;

  UnitKey(this._index, this._value);

  @override
  int get hashCode => Object.hash(_index, T, K, _value);

  @override
  bool operator ==(Object other) {
    return other is UnitKey && other.hashCode == hashCode;
  }

  @override
  String toString() {
    return '$runtimeType($_index, $_value)';
  }
}
